aboutsummaryrefslogtreecommitdiff
path: root/academic/rpy2/rpy2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/rpy2/rpy2.SlackBuild')
-rw-r--r--academic/rpy2/rpy2.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/academic/rpy2/rpy2.SlackBuild b/academic/rpy2/rpy2.SlackBuild
index 2db26521af07f..3ea8722097223 100644
--- a/academic/rpy2/rpy2.SlackBuild
+++ b/academic/rpy2/rpy2.SlackBuild
@@ -24,7 +24,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=rpy2
-VERSION=${VERSION:-3.4.3}
+VERSION=${VERSION:-3.4.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -87,10 +87,11 @@ fi
## make sure that R has been compiled with
## --enable-R-shlib
## --enable-BLAS-shlib
-RHOMLIB=$(R RHOME)/lib
-echo "R libs are in $RHOMLIB"
+RHOMLIB=$(R RHOME)
+echo Found R libs:
+echo $RHOMLIB/lib/*
-if ! [ "$(readelf -h $RHOMLIB/libR*.so | grep DYN)" ]; then
+if ! [ "$(readelf -h $RHOMLIB/lib/libR*.so | grep DYN)" ]; then
echo "Error: R is not compiled with shared libraries." >&2
exit 1
fi